package ru.ldeloff.servermonitorbot.service.command.uname;

import org.springframework.stereotype.Service;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.model.User;
import ru.ldeloff.servermonitorbot.service.command.CommandTemplate;
import ru.ldeloff.servermonitorbot.service.role.RoleService;
import ru.ldeloff.servermonitorbot.service.user.UserService;
import ru.ldeloff.servermonitorbot.utils.ui.uname.UnameChatButtonAggregate;

@Service
public class UnameAggregateCommand extends CommandTemplate {
    final UnameChatButtonAggregate unameChatButtonAggregate;

    public UnameAggregateCommand(UserService userService, RoleService roleService, UnameChatButtonAggregate unameChatButtonAggregate) {
        super(userService, roleService);
        this.unameChatButtonAggregate = unameChatButtonAggregate;
    }

    @Override
    public SendMessage actionForAuth(User user, SendMessage message) {
        return unameChatButtonAggregate.uiForm(message);
    }
}
